Subject: RE: Cygwin gdb-5.0 h8300 sim needs wait.h
From: Heribert Dahms <[email-masked]>
To: "[email-masked]'" <[email-masked]>, Benjamin Riefenstahl <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Oct 2000 23:07:07 +0200

Richard Steven's famous book "Advanced Programming in the Unix
Environment"
says to include <sys/types.h> and <sys/wait.h>.
And following Earnie Boyd's hint in another thread I guessed and tried
http://www.opennc.org/onlinepubs/7908799/xsh/wait.html
which says the same.

Bye, Heribert ([email-masked])

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Tuesday, October 10, 2000 18:15
> To:	Benjamin Riefenstahl
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: Cygwin gdb-5.0 h8300 sim needs wait.h
> 
> Benny:
> 
> > My docs say that wait() should be declared in <sys/wait.h>.  On my
> > machine Cygwin has that header and it does indeed declare wait().
> 
> Doh.
> 
> My linux box has a /usr/include/wait.h that just includes
> sys/wait.h. When I failed to find /usr/include/wait.h on my cygwin
> box, I looked no further.
> 
> Indeed, there *is* a /usr/include/sys/wait.h in cygwin.  For some
> reason, though, there is no /usr/include/wait.h, and that's what gdb
> wants.  I created one, and now I'm building again.
> 
> Who is right, do you think?  Should gdb really be #including
> <sys/wait.h>, or should cygwin offer a /usr/include/wait.h?
> 
> 
> b.g.
> -- 
> Bill Gatliff
> [email-masked] << File: ATT00852.ATT >> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]